Package org.eclipse.birt.report.engine.api.script.instance

# Interface IReportElementInstance

All Known Subinterfaces:
  `IAbstractTextInstance`, `IAutoTextInstance`, `ICellInstance`, `IDataItemInstance`, `IDynamicTextInstance`, `IGridInstance`, `IImageInstance`, `ILabelInstance`, `IListInstance`, `IReportItemInstance`, `IRowInstance`, `ITableInstance`, `ITextItemInstance`

public interface IReportElementInstance

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeight()`
Get the height of the element
`String`
`getHorizontalPosition()`
Get the horizontal position
`Object`
`getNamedExpressionValue(String name)`
Get the value of a named expression
`IReportElementInstance`
`getParent()`
Get the parent (container) of this element
`IRowData`
`getRowData()`
Get the row data used to create the instance.
`IScriptStyle`
`getStyle()`
Get the style of this element
`Object`
`getUserPropertyValue(String name)`
Get the value of a user property
`String`
`getVerticalPosition()`
Get the vertical position
`String`
`getWidth()`
Get the width of the element
`void`
`setHeight(String height)`
Set the height of the element
`void`
`setHorizontalPosition(String position)`
Set the horizontal position
`void`
`setUserPropertyValue(String name, Object value)`
Set the value of a user property
`void`
`setVerticalPosition(String position)`
Set the vertical position
`void`
`setWidth(String width)`
Set the width of the element

## Method Details

### getStyle

IScriptStyle getStyle()
Get the style of this element

### getHorizontalPosition

String getHorizontalPosition()
Get the horizontal position

### setHorizontalPosition

void setHorizontalPosition(String position)
Set the horizontal position

### getVerticalPosition

String getVerticalPosition()
Get the vertical position

### setVerticalPosition

void setVerticalPosition(String position)
Set the vertical position

### getWidth

String getWidth()
Get the width of the element

### setWidth

void setWidth(String width)
Set the width of the element

### getHeight

String getHeight()
Get the height of the element

### setHeight

void setHeight(String height)
Set the height of the element

### getNamedExpressionValue

Object getNamedExpressionValue(String name)
Get the value of a named expression

### getUserPropertyValue

Object getUserPropertyValue(String name)
Get the value of a user property

### setUserPropertyValue

void setUserPropertyValue(String name, Object value) throws ScriptException
Set the value of a user property

Throws:
  `ScriptException`

### getParent

IReportElementInstance getParent() throws ScriptException
Get the parent (container) of this element

Throws:
  `ScriptException`
  `org.eclipse.birt.core.exception.BirtException`

### getRowData

IRowData getRowData() throws ScriptException
Get the row data used to create the instance. The row data is defined by the column binding.

Throws:
  `ScriptException`
  `org.eclipse.birt.core.exception.BirtException`